Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454064 - spacewalk-setup does not show help
Summary: spacewalk-setup does not show help
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Installation
Version: 0.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jan Pazdziora
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space02
TreeView+ depends on / blocked
 
Reported: 2008-07-04 08:37 UTC by Satoru SATOH
Modified: 2009-09-17 06:59 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-17 06:59:27 UTC


Attachments (Terms of Use)
A dirty hack for spacewalk-setup to show its help text (deleted)
2008-07-04 08:38 UTC, Satoru SATOH
no flags Details | Diff
Simplified version of the patch. (deleted)
2008-07-07 15:03 UTC, Jan Pazdziora
no flags Details | Diff
Even better -- let's not put the hardcoded package name there. (deleted)
2008-07-07 15:08 UTC, Jan Pazdziora
no flags Details | Diff

Description Satoru SATOH 2008-07-04 08:37:21 UTC
Description of problem:
Spacewalk-setup does not show its help. So there is no way to know its options
except for reading Spacewalk::Setup code.


Version-Release number of selected component (if applicable):
spacewalk-setup-0.01-3.el5.src.rpm


How reproducible: always


Steps to Reproduce:
1. spacewalk-setup --help
2.
3.
  
Actual results:
no help messages.


Expected results:
its help shown.


Additional info:

I'll attach a dirty, quickly hacked and halfway workaround patch for this issue. 

I have little experience with perl and it should be unrefined. Correct way to 
fix this problem might be writing complete POD text in bin/spacewalk, I think.

Comment 1 Satoru SATOH 2008-07-04 08:38:54 UTC
Created attachment 311017 [details]
A dirty hack for spacewalk-setup to show its help text

Comment 2 Jan Pazdziora 2008-07-07 15:03:13 UTC
Created attachment 311169 [details]
Simplified version of the patch.

I've simplified the patch a bit. The trouble is -- Spacewalk::Setup only seems
to have the boilerplate POD, not any meaningful docs.

Comment 3 Jan Pazdziora 2008-07-07 15:08:56 UTC
Created attachment 311172 [details]
Even better -- let's not put the hardcoded package name there.

Comment 4 Jan Pazdziora 2008-07-07 15:30:46 UTC
Changes committed to git:
413beb9bb7337b6897609f3d236480696c80ad0e
5c6b1503066bed21c4ef70f119ef8e18991d2684

More proofreading will be needed eventually.

Thank you for the bug report.

Comment 5 Satoru SATOH 2008-07-10 08:53:35 UTC
I confirmed it works as expected. Thanks for your quick work! 
I'll close this.

Comment 6 Jan Pazdziora 2008-07-10 09:31:27 UTC
Let me keep this bugzilla open for a while in MODIFIED state, to verify that it
got to the next package build / release.

Comment 7 Devan Goodwin 2008-09-05 14:29:01 UTC
Looks good in spacewalk 0.2. My apologies, forgot to check --help when I was re-organizing the installer code into spacewalk-setup. :)

Comment 8 Miroslav Suchý 2009-09-17 06:59:27 UTC
Spacewalk is released for long time.


Note You need to log in before you can comment on or make changes to this bug.